Summary: a utility for the viewing and editing of binary files.
Name: fb
Version: 1.4
Release: 2
Copyright: GPL
Source0: http://home.mho.net/jswaby/fb_tar.Z
Source1: http://home.mho.net/jswaby/fb_exmp.html
Group: Utilities/Console
URL: http://home.mho.net/jswaby/fb.html 

%description
fb is a binary file viewer, editor, and manipulator. It can be used as a 
filter, an interactive browser, or to simply dump a file in either binary, 
decimal, hexidecimal, or octal and/or characters. Either overwrite bytes in 
either of the four bases or characters or dump to a file and edit the 
resulting text file with any text editor, then fb can translate from either 
of the four bases back into a binary file. In summary, fb is a versatile 
tool for binary file creation, manipulation, and examination. 
Author: John Howard Swaby <polymath@uwyo.edu> 

%prep 
%setup0 -c 
cp $RPM_SOURCE_DIR/fb_exmp.html $RPM_BUILD_DIR/$RPM_PACKAGE_NAME-$RPM_PACKAGE_VERSION

%build
cc $RPM_OPT_FLAGS fb.c -o fb

%install
install -m 755 -s fb /usr/local/bin/
install -m 644 fb.1 /usr/local/man/man1/

%files 
/usr/local/bin/fb 
/usr/local/man/man1/fb.1
%doc README fb.doc fb_exmp.html

